Index: protocols/msn/soap.c
===================================================================
--- protocols/msn/soap.c	(revision 4f161e3abeecee0722487e9d61a85f6c953d11bd)
+++ protocols/msn/soap.c	(revision 5ff46180e5378acd6d103d9314175c78530bda7e)
@@ -682,56 +671,66 @@
 	struct xt_node *p;
 	char *id = NULL, *type = NULL, *handle = NULL, *is_msgr = "false",
-	     *display_name = NULL, *group_id = NULL;
+	*display_name = NULL, *group_id = NULL;
 	struct msn_soap_req_data *soap_req = data;
 	struct im_connection *ic = soap_req->ic;
 	struct msn_group *group;
-	
-	if( ( p = xt_find_path( node, "../contactId" ) ) )
+
+	if ((p = xt_find_path(node, "../contactId"))) {
 		id = p->text;
-	if( ( p = xt_find_node( node->children, "contactType" ) ) )
+	}
+	if ((p = xt_find_node(node->children, "contactType"))) {
 		type = p->text;
-	if( ( p = xt_find_node( node->children, "passportName" ) ) )
+	}
+	if ((p = xt_find_node(node->children, "passportName"))) {
 		handle = p->text;
-	if( ( p = xt_find_node( node->children, "displayName" ) ) )
+	}
+	if ((p = xt_find_node(node->children, "displayName"))) {
 		display_name = p->text;
-	if( ( p = xt_find_node( node->children, "isMessengerUser" ) ) )
+	}
+	if ((p = xt_find_node(node->children, "isMessengerUser"))) {
 		is_msgr = p->text;
-	if( ( p = xt_find_path( node, "groupIds/guid" ) ) )
+	}
+	if ((p = xt_find_path(node, "groupIds/guid"))) {
 		group_id = p->text;
-	
-	if( type && g_strcasecmp( type, "me" ) == 0 )
-	{
-		set_t *set = set_find( &ic->acc->set, "display_name" );
-		g_free( set->value );
-		set->value = g_strdup( display_name );
-		
+	}
+
+	if (type && g_strcasecmp(type, "me") == 0) {
+		set_t *set = set_find(&ic->acc->set, "display_name");
+		g_free(set->value);
+		set->value = g_strdup(display_name);
+
 		/* Try to fetch the profile; if the user has one, that's where
 		   we can find the persistent display_name. */
-		if( ( p = xt_find_node( node->children, "CID" ) ) && p->text )
-			msn_soap_profile_get( ic, p->text );
-		
+		if ((p = xt_find_node(node->children, "CID")) && p->text) {
+			msn_soap_profile_get(ic, p->text);
+		}
+
 		return XT_HANDLED;
 	}
-	
-	if( !bool2int( is_msgr ) || handle == NULL )
+
+	if (!bool2int(is_msgr) || handle == NULL) {
 		return XT_HANDLED;
-	
-	if( !( bu = bee_user_by_handle( ic->bee, ic, handle ) ) &&
-	    !( bu = bee_user_new( ic->bee, ic, handle, 0 ) ) )
+	}
+
+	if (!(bu = bee_user_by_handle(ic->bee, ic, handle)) &&
+	    !(bu = bee_user_new(ic->bee, ic, handle, 0))) {
 		return XT_HANDLED;
-	
+	}
+
 	bd = bu->data;
 	bd->flags |= MSN_BUDDY_FL;
-	g_free( bd->cid );
-	bd->cid = g_strdup( id );
-	
-	imcb_rename_buddy( ic, handle, display_name );
-	
-	if( group_id && ( group = msn_group_by_id( ic, group_id ) ) )
-		imcb_add_buddy( ic, handle, group->name );
-	
-	if( getenv( "BITLBEE_DEBUG" ) )
-		fprintf( stderr, "%s %s %s %s\n", id, type, handle, display_name );
-	
+	g_free(bd->cid);
+	bd->cid = g_strdup(id);
+
+	imcb_rename_buddy(ic, handle, display_name);
+
+	if (group_id && (group = msn_group_by_id(ic, group_id))) {
+		imcb_add_buddy(ic, handle, group->name);
+	}
+
+	if (getenv("BITLBEE_DEBUG")) {
+		fprintf(stderr, "%s %s %s %s\n", id, type, handle, display_name);
+	}
+
 	return XT_HANDLED;
 }
@@ -743,21 +742,18 @@
 };
 
-static int msn_soap_addressbook_handle_response( struct msn_soap_req_data *soap_req )
+static int msn_soap_addressbook_handle_response(struct msn_soap_req_data *soap_req)
 {
 	GSList *l;
 	int wtf = 0;
-	
-	for( l = soap_req->ic->bee->users; l; l = l->next )
-	{
+
+	for (l = soap_req->ic->bee->users; l; l = l->next) {
 		struct bee_user *bu = l->data;
 		struct msn_buddy_data *bd = bu->data;
-		
-		if( bu->ic == soap_req->ic && bd )
-		{
-			msn_buddy_ask( bu );
-			
-			if( ( bd->flags & ( MSN_BUDDY_AL | MSN_BUDDY_BL ) ) ==
-			                  ( MSN_BUDDY_AL | MSN_BUDDY_BL ) )
-			{
+
+		if (bu->ic == soap_req->ic && bd) {
+			msn_buddy_ask(bu);
+
+			if ((bd->flags & (MSN_BUDDY_AL | MSN_BUDDY_BL)) ==
+			    (MSN_BUDDY_AL | MSN_BUDDY_BL)) {
 				/* both allow and block, delete block, add wtf */
 				bd->flags &= ~MSN_BUDDY_BL;
@@ -766,6 +762,5 @@
 
 
-			if( ( bd->flags & ( MSN_BUDDY_AL | MSN_BUDDY_BL ) ) == 0 )
-			{
+			if ((bd->flags & (MSN_BUDDY_AL | MSN_BUDDY_BL)) == 0) {
 				/* neither allow or block, add allow */
 				bd->flags |= MSN_BUDDY_AL;
@@ -773,43 +768,44 @@
 		}
 	}
-	
-	if( wtf )
-		imcb_log( soap_req->ic, "Warning: %d contacts were in both your "
-		          "block and your allow list. Assuming they're all "
-		          "allowed. Use the official WLM client once to fix "
-		          "this.", wtf );
-	
-	msn_auth_got_contact_list( soap_req->ic );
-	
-	return MSN_SOAP_OK;
-}
-
-static int msn_soap_addressbook_free_data( struct msn_soap_req_data *soap_req )
+
+	if (wtf) {
+		imcb_log(soap_req->ic, "Warning: %d contacts were in both your "
+		         "block and your allow list. Assuming they're all "
+		         "allowed. Use the official WLM client once to fix "
+		         "this.", wtf);
+	}
+
+	msn_auth_got_contact_list(soap_req->ic);
+
+	return MSN_SOAP_OK;
+}
+
+static int msn_soap_addressbook_free_data(struct msn_soap_req_data *soap_req)
 {
 	return 0;
 }
 
-int msn_soap_addressbook_request( struct im_connection *ic )
-{
-	return msn_soap_start( ic, NULL, msn_soap_addressbook_build_request,
-	                                 msn_soap_addressbook_parser,
-	                                 msn_soap_addressbook_handle_response,
-	                                 msn_soap_addressbook_free_data );
+int msn_soap_addressbook_request(struct im_connection *ic)
+{
+	return msn_soap_start(ic, NULL, msn_soap_addressbook_build_request,
+	                      msn_soap_addressbook_parser,
+	                      msn_soap_addressbook_handle_response,
+	                      msn_soap_addressbook_free_data);
 }
 
 /* Variant: Change our display name. */
-static int msn_soap_ab_namechange_build_request( struct msn_soap_req_data *soap_req )
-{
-	struct msn_data *md = soap_req->ic->proto_data;
-	
-	soap_req->url = g_strdup( SOAP_ADDRESSBOOK_URL );
-	soap_req->action = g_strdup( SOAP_AB_NAMECHANGE_ACTION );
-	soap_req->payload = msn_soap_abservice_build( SOAP_AB_NAMECHANGE_PAYLOAD,
-		"Timer", md->tokens[1], (char *) soap_req->data );
-	
+static int msn_soap_ab_namechange_build_request(struct msn_soap_req_data *soap_req)
+{
+	struct msn_data *md = soap_req->ic->proto_data;
+
+	soap_req->url = g_strdup(SOAP_ADDRESSBOOK_URL);
+	soap_req->action = g_strdup(SOAP_AB_NAMECHANGE_ACTION);
+	soap_req->payload = msn_soap_abservice_build(SOAP_AB_NAMECHANGE_PAYLOAD,
+	                                             "Timer", md->tokens[1], (char *) soap_req->data);
+
 	return 1;
 }
 
-static int msn_soap_ab_namechange_handle_response( struct msn_soap_req_data *soap_req )
+static int msn_soap_ab_namechange_handle_response(struct msn_soap_req_data *soap_req)
 {
 	/* TODO: Ack the change? Not sure what the NAKs look like.. */
@@ -817,42 +813,43 @@
 }
 
-static int msn_soap_ab_namechange_free_data( struct msn_soap_req_data *soap_req )
-{
-	g_free( soap_req->data );
+static int msn_soap_ab_namechange_free_data(struct msn_soap_req_data *soap_req)
+{
+	g_free(soap_req->data);
 	return 0;
 }
 
-int msn_soap_addressbook_set_display_name( struct im_connection *ic, const char *new )
-{
-	return msn_soap_start( ic, g_strdup( new ),
-	                       msn_soap_ab_namechange_build_request,
-	                       NULL,
-	                       msn_soap_ab_namechange_handle_response,
-	                       msn_soap_ab_namechange_free_data );
+int msn_soap_addressbook_set_display_name(struct im_connection *ic, const char *new)
+{
+	return msn_soap_start(ic, g_strdup(new),
+	                      msn_soap_ab_namechange_build_request,
+	                      NULL,
+	                      msn_soap_ab_namechange_handle_response,
+	                      msn_soap_ab_namechange_free_data);
 }
 
 /* Add a contact. */
-static int msn_soap_ab_contact_add_build_request( struct msn_soap_req_data *soap_req )
+static int msn_soap_ab_contact_add_build_request(struct msn_soap_req_data *soap_req)
 {
 	struct msn_data *md = soap_req->ic->proto_data;
 	bee_user_t *bu = soap_req->data;
-	
-	soap_req->url = g_strdup( SOAP_ADDRESSBOOK_URL );
-	soap_req->action = g_strdup( SOAP_AB_CONTACT_ADD_ACTION );
-	soap_req->payload = msn_soap_abservice_build( SOAP_AB_CONTACT_ADD_PAYLOAD,
-		"ContactSave", md->tokens[1], bu->handle, bu->fullname ? bu->fullname : bu->handle );
-	
+
+	soap_req->url = g_strdup(SOAP_ADDRESSBOOK_URL);
+	soap_req->action = g_strdup(SOAP_AB_CONTACT_ADD_ACTION);
+	soap_req->payload = msn_soap_abservice_build(SOAP_AB_CONTACT_ADD_PAYLOAD,
+	                                             "ContactSave", md->tokens[1], bu->handle,
+	                                             bu->fullname ? bu->fullname : bu->handle);
+
 	return 1;
 }
 
-static xt_status msn_soap_ab_contact_add_cid( struct xt_node *node, gpointer data )
+static xt_status msn_soap_ab_contact_add_cid(struct xt_node *node, gpointer data)
 {
 	struct msn_soap_req_data *soap_req = data;
 	bee_user_t *bu = soap_req->data;
 	struct msn_buddy_data *bd = bu->data;
-	
-	g_free( bd->cid );
-	bd->cid = g_strdup( node->text );
-	
+
+	g_free(bd->cid);
+	bd->cid = g_strdup(node->text);
+
 	return XT_HANDLED;
 }
@@ -863,5 +860,5 @@
 };
 
-static int msn_soap_ab_contact_add_handle_response( struct msn_soap_req_data *soap_req )
+static int msn_soap_ab_contact_add_handle_response(struct msn_soap_req_data *soap_req)
 {
 	/* TODO: Ack the change? Not sure what the NAKs look like.. */
@@ -869,33 +866,33 @@
 }
 
-static int msn_soap_ab_contact_add_free_data( struct msn_soap_req_data *soap_req )
+static int msn_soap_ab_contact_add_free_data(struct msn_soap_req_data *soap_req)
 {
 	return 0;
 }
 
-int msn_soap_ab_contact_add( struct im_connection *ic, bee_user_t *bu )
-{
-	return msn_soap_start( ic, bu,
-	                       msn_soap_ab_contact_add_build_request,
-	                       msn_soap_ab_contact_add_parser,
-	                       msn_soap_ab_contact_add_handle_response,
-	                       msn_soap_ab_contact_add_free_data );
+int msn_soap_ab_contact_add(struct im_connection *ic, bee_user_t *bu)
+{
+	return msn_soap_start(ic, bu,
+	                      msn_soap_ab_contact_add_build_request,
+	                      msn_soap_ab_contact_add_parser,
+	                      msn_soap_ab_contact_add_handle_response,
+	                      msn_soap_ab_contact_add_free_data);
 }
 
 /* Remove a contact. */
-static int msn_soap_ab_contact_del_build_request( struct msn_soap_req_data *soap_req )
+static int msn_soap_ab_contact_del_build_request(struct msn_soap_req_data *soap_req)
 {
 	struct msn_data *md = soap_req->ic->proto_data;
 	const char *cid = soap_req->data;
-	
-	soap_req->url = g_strdup( SOAP_ADDRESSBOOK_URL );
-	soap_req->action = g_strdup( SOAP_AB_CONTACT_DEL_ACTION );
-	soap_req->payload = msn_soap_abservice_build( SOAP_AB_CONTACT_DEL_PAYLOAD,
-		"Timer", md->tokens[1], cid );
-	
+
+	soap_req->url = g_strdup(SOAP_ADDRESSBOOK_URL);
+	soap_req->action = g_strdup(SOAP_AB_CONTACT_DEL_ACTION);
+	soap_req->payload = msn_soap_abservice_build(SOAP_AB_CONTACT_DEL_PAYLOAD,
+	                                             "Timer", md->tokens[1], cid);
+
 	return 1;
 }
 
-static int msn_soap_ab_contact_del_handle_response( struct msn_soap_req_data *soap_req )
+static int msn_soap_ab_contact_del_handle_response(struct msn_soap_req_data *soap_req)
 {
 	/* TODO: Ack the change? Not sure what the NAKs look like.. */
@@ -903,19 +900,19 @@
 }
 
-static int msn_soap_ab_contact_del_free_data( struct msn_soap_req_data *soap_req )
-{
-	g_free( soap_req->data );
+static int msn_soap_ab_contact_del_free_data(struct msn_soap_req_data *soap_req)
+{
+	g_free(soap_req->data);
 	return 0;
 }
 
-int msn_soap_ab_contact_del( struct im_connection *ic, bee_user_t *bu )
+int msn_soap_ab_contact_del(struct im_connection *ic, bee_user_t *bu)
 {
 	struct msn_buddy_data *bd = bu->data;
-	
-	return msn_soap_start( ic, g_strdup( bd->cid ),
-	                       msn_soap_ab_contact_del_build_request,
-	                       NULL,
-	                       msn_soap_ab_contact_del_handle_response,
-	                       msn_soap_ab_contact_del_free_data );
+
+	return msn_soap_start(ic, g_strdup(bd->cid),
+	                      msn_soap_ab_contact_del_build_request,
+	                      NULL,
+	                      msn_soap_ab_contact_del_handle_response,
+	                      msn_soap_ab_contact_del_free_data);
 }
 
@@ -923,17 +920,17 @@
 
 /* Storage stuff: Fetch profile. */
-static int msn_soap_profile_get_build_request( struct msn_soap_req_data *soap_req )
-{
-	struct msn_data *md = soap_req->ic->proto_data;
-	
-	soap_req->url = g_strdup( SOAP_STORAGE_URL );
-	soap_req->action = g_strdup( SOAP_PROFILE_GET_ACTION );
-	soap_req->payload = g_markup_printf_escaped( SOAP_PROFILE_GET_PAYLOAD,
-		md->tokens[3], (char*) soap_req->data );
-	
+static int msn_soap_profile_get_build_request(struct msn_soap_req_data *soap_req)
+{
+	struct msn_data *md = soap_req->ic->proto_data;
+
+	soap_req->url = g_strdup(SOAP_STORAGE_URL);
+	soap_req->action = g_strdup(SOAP_PROFILE_GET_ACTION);
+	soap_req->payload = g_markup_printf_escaped(SOAP_PROFILE_GET_PAYLOAD,
+	                                            md->tokens[3], (char *) soap_req->data);
+
 	return 1;
 }
 
-static xt_status msn_soap_profile_get_result( struct xt_node *node, gpointer data )
+static xt_status msn_soap_profile_get_result(struct xt_node *node, gpointer data)
 {
 	struct msn_soap_req_data *soap_req = data;
@@ -941,25 +938,24 @@
 	struct msn_data *md = soap_req->ic->proto_data;
 	struct xt_node *dn;
-	
-	if( ( dn = xt_find_node( node->children, "DisplayName" ) ) && dn->text )
-	{
-		set_t *set = set_find( &ic->acc->set, "display_name" );
-		g_free( set->value );
-		set->value = g_strdup( dn->text );
-		
+
+	if ((dn = xt_find_node(node->children, "DisplayName")) && dn->text) {
+		set_t *set = set_find(&ic->acc->set, "display_name");
+		g_free(set->value);
+		set->value = g_strdup(dn->text);
+
 		md->flags |= MSN_GOT_PROFILE_DN;
 	}
-	
+
 	return XT_HANDLED;
 }
 
-static xt_status msn_soap_profile_get_rid( struct xt_node *node, gpointer data )
+static xt_status msn_soap_profile_get_rid(struct xt_node *node, gpointer data)
 {
 	struct msn_soap_req_data *soap_req = data;
 	struct msn_data *md = soap_req->ic->proto_data;
-	
-	g_free( md->profile_rid );
-	md->profile_rid = g_strdup( node->text );
-	
+
+	g_free(md->profile_rid);
+	md->profile_rid = g_strdup(node->text);
+
 	return XT_HANDLED;
 }
@@ -971,39 +967,39 @@
 };
 
-static int msn_soap_profile_get_handle_response( struct msn_soap_req_data *soap_req )
-{
-	struct msn_data *md = soap_req->ic->proto_data;
-	
+static int msn_soap_profile_get_handle_response(struct msn_soap_req_data *soap_req)
+{
+	struct msn_data *md = soap_req->ic->proto_data;
+
 	md->flags |= MSN_GOT_PROFILE;
-	msn_ns_finish_login( soap_req->ic );
-	
-	return MSN_SOAP_OK;
-}
-
-static int msn_soap_profile_get_free_data( struct msn_soap_req_data *soap_req )
-{
-	g_free( soap_req->data );
+	msn_ns_finish_login(soap_req->ic);
+
+	return MSN_SOAP_OK;
+}
+
+static int msn_soap_profile_get_free_data(struct msn_soap_req_data *soap_req)
+{
+	g_free(soap_req->data);
 	return 0;
 }
 
-int msn_soap_profile_get( struct im_connection *ic, const char *cid )
-{
-	return msn_soap_start( ic, g_strdup( cid ),
-	                       msn_soap_profile_get_build_request,
-	                       msn_soap_profile_get_parser,
-	                       msn_soap_profile_get_handle_response,
-	                       msn_soap_profile_get_free_data );
+int msn_soap_profile_get(struct im_connection *ic, const char *cid)
+{
+	return msn_soap_start(ic, g_strdup(cid),
+	                      msn_soap_profile_get_build_request,
+	                      msn_soap_profile_get_parser,
+	                      msn_soap_profile_get_handle_response,
+	                      msn_soap_profile_get_free_data);
 }
 
 /* Update profile (display name). */
-static int msn_soap_profile_set_dn_build_request( struct msn_soap_req_data *soap_req )
-{
-	struct msn_data *md = soap_req->ic->proto_data;
-	
-	soap_req->url = g_strdup( SOAP_STORAGE_URL );
-	soap_req->action = g_strdup( SOAP_PROFILE_SET_DN_ACTION );
-	soap_req->payload = g_markup_printf_escaped( SOAP_PROFILE_SET_DN_PAYLOAD,
-		md->tokens[3], md->profile_rid, (char*) soap_req->data );
-	
+static int msn_soap_profile_set_dn_build_request(struct msn_soap_req_data *soap_req)
+{
+	struct msn_data *md = soap_req->ic->proto_data;
+
+	soap_req->url = g_strdup(SOAP_STORAGE_URL);
+	soap_req->action = g_strdup(SOAP_PROFILE_SET_DN_ACTION);
+	soap_req->payload = g_markup_printf_escaped(SOAP_PROFILE_SET_DN_PAYLOAD,
+	                                            md->tokens[3], md->profile_rid, (char *) soap_req->data);
+
 	return 1;
 }
@@ -1013,21 +1009,21 @@
 };
 
-static int msn_soap_profile_set_dn_handle_response( struct msn_soap_req_data *soap_req )
-{
-	return MSN_SOAP_OK;
-}
-
-static int msn_soap_profile_set_dn_free_data( struct msn_soap_req_data *soap_req )
-{
-	g_free( soap_req->data );
+static int msn_soap_profile_set_dn_handle_response(struct msn_soap_req_data *soap_req)
+{
+	return MSN_SOAP_OK;
+}
+
+static int msn_soap_profile_set_dn_free_data(struct msn_soap_req_data *soap_req)
+{
+	g_free(soap_req->data);
 	return 0;
 }
 
-int msn_soap_profile_set_dn( struct im_connection *ic, const char *dn )
-{
-	return msn_soap_start( ic, g_strdup( dn ),
-	                       msn_soap_profile_set_dn_build_request,
-	                       msn_soap_profile_set_dn_parser,
-	                       msn_soap_profile_set_dn_handle_response,
-	                       msn_soap_profile_set_dn_free_data );
-}
+int msn_soap_profile_set_dn(struct im_connection *ic, const char *dn)
+{
+	return msn_soap_start(ic, g_strdup(dn),
+	                      msn_soap_profile_set_dn_build_request,
+	                      msn_soap_profile_set_dn_parser,
+	                      msn_soap_profile_set_dn_handle_response,
+	                      msn_soap_profile_set_dn_free_data);
+}
Index: protocols/msn/tables.c
===================================================================
--- protocols/msn/tables.c	(revision 4f161e3abeecee0722487e9d61a85f6c953d11bd)
+++ protocols/msn/tables.c	(revision 5ff46180e5378acd6d103d9314175c78530bda7e)
@@ -1,3 +1,3 @@
-  /********************************************************************\
+/********************************************************************\
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
@@ -40,23 +40,27 @@
 };
 
-const struct msn_away_state *msn_away_state_by_code( char *code )
+const struct msn_away_state *msn_away_state_by_code(char *code)
 {
 	int i;
-	
-	for( i = 0; *msn_away_state_list[i].code; i ++ )
-		if( g_strcasecmp( msn_away_state_list[i].code, code ) == 0 )
-			return( msn_away_state_list + i );
-	
+
+	for (i = 0; *msn_away_state_list[i].code; i++) {
+		if (g_strcasecmp(msn_away_state_list[i].code, code) == 0) {
+			return(msn_away_state_list + i);
+		}
+	}
+
 	return NULL;
 }
 
-const struct msn_away_state *msn_away_state_by_name( char *name )
+const struct msn_away_state *msn_away_state_by_name(char *name)
 {
 	int i;
-	
-	for( i = 0; *msn_away_state_list[i].code; i ++ )
-		if( g_strcasecmp( msn_away_state_list[i].name, name ) == 0 )
-			return( msn_away_state_list + i );
-	
+
+	for (i = 0; *msn_away_state_list[i].code; i++) {
+		if (g_strcasecmp(msn_away_state_list[i].name, name) == 0) {
+			return(msn_away_state_list + i);
+		}
+	}
+
 	return NULL;
 }
@@ -87,8 +91,8 @@
 	{ 280, "Switchboard failed",                                    STATUS_SB_FATAL },
 	{ 281, "Transfer to switchboard failed",                        0 },
-	
+
 	{ 300, "Required field missing",                                0 },
 	{ 302, "Not logged in",                                         0 },
-	
+
 	{ 500, "Internal server error/Account banned",                  STATUS_FATAL },
 	{ 501, "Database server error",                                 STATUS_FATAL },
@@ -97,5 +101,5 @@
 	{ 520, "Memory allocation failed",                              STATUS_FATAL },
 	{ 540, "Challenge response invalid",                            STATUS_FATAL },
-	
+
 	{ 600, "Server is busy",                                        STATUS_FATAL },
 	{ 601, "Server is unavailable",                                 STATUS_FATAL },
@@ -104,5 +108,5 @@
 	{ 604, "Server is going down",                                  STATUS_FATAL },
 	{ 605, "Server is unavailable",                                 STATUS_FATAL },
-	
+
 	{ 700, "Could not create connection",                           STATUS_FATAL },
 	{ 710, "Invalid CVR parameters",                                STATUS_FATAL },
@@ -114,7 +118,7 @@
 	{ 717, "Bad friend file",                                       STATUS_FATAL },
 	{ 731, "Not expected/Invalid argument",                         0 },
-	
+
 	{ 800, "Changing too rapidly",                                  0 },
-	
+
 	{ 910, "Server is busy",                                        STATUS_FATAL },
 	{ 911, "Authentication failed",                                 STATUS_SB_FATAL | STATUS_FATAL },
@@ -135,23 +139,24 @@
 };
 
-const struct msn_status_code *msn_status_by_number( int number )
+const struct msn_status_code *msn_status_by_number(int number)
 {
 	static struct msn_status_code *unknown = NULL;
 	int i;
-	
-	for( i = 0; msn_status_code_list[i].number >= 0; i ++ )
-		if( msn_status_code_list[i].number == number )
-			return( msn_status_code_list + i );
-	
-	if( unknown == NULL )
-	{
-		unknown = g_new0( struct msn_status_code, 1 );
-		unknown->text = g_new0( char, 128 );
+
+	for (i = 0; msn_status_code_list[i].number >= 0; i++) {
+		if (msn_status_code_list[i].number == number) {
+			return(msn_status_code_list + i);
+		}
 	}
-	
+
+	if (unknown == NULL) {
+		unknown = g_new0(struct msn_status_code, 1);
+		unknown->text = g_new0(char, 128);
+	}
+
 	unknown->number = number;
 	unknown->flags = 0;
-	g_snprintf( unknown->text, 128, "Unknown error (%d)", number );
-	
-	return( unknown );
+	g_snprintf(unknown->text, 128, "Unknown error (%d)", number);
+
+	return(unknown);
 }
